org.apache.fop.image.loader.batik

## Class PreloaderSVG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.fop.image.loader.batik.PreloaderSVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImagePreloader

    public class PreloaderSVG
    extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

Image preloader for SVG images.

### Field Summary

### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

`DEFAULT_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`PreloaderSVG()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `getParserName()` Returns the fully qualified classname of an XML parser for Batik classes that apparently need it (error messages, perhaps)
`org.apache.xmlgraphics.image.loader.ImageInfo` `preloadImage(String uri, Source src, org.apache.xmlgraphics.image.loader.ImageContext context)`

### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

`getHeader, getPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreloaderSVG

    public PreloaderSVG()

### Method Detail

#### preloadImage

    public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(String uri,
                                                                      Source src,
                                                                      org.apache.xmlgraphics.image.loader.ImageContext context)
                                                               throws IOException

Throws:
  `IOException`

#### getParserName

    public static String getParserName()

Returns the fully qualified classname of an XML parser for Batik classes that apparently need it (error messages, perhaps)

Returns:
  an XML parser classname